Skip to content
GAMPEONCreate
New project

Join with an invite

POST
/v1/community-invites/{code}
curl --request POST \
--url https://api.gampeon.com/v1/community-invites/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "acceptRules": true }'

Same rules as joining an open community: not banned, minimum age, rules accepted.

Not available with access tokens.

code
required
string
/^[A-Za-z0-9]{8}$/

Invite code

Media typeapplication/json
object
acceptRules

Required when the community has rules

Joined (200 if you already were a member)

Media typeapplication/json
object
id
required
integer
joined
required

Example

{
"joined": true
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, banned, age_restricted

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: invite_invalid

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: rules_not_accepted

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback